mod ast;
mod parse;
mod tokeniser;

fn main() {
    let filename = "test.plonkus";

    let contents = std::fs::read_to_string(filename).expect(&format!("No file named {}", filename));

    let tokens = tokeniser::tokenise(contents);

    let functions = parse::ast(tokens);

    let assembly = ast::to_assembly(functions);

    println!("{}", assembly);
}
